if (etat_fillemysterieuse1 == 2)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Mysterious girl> That helmet is so ugly...");
}

if (pinv.getSlotContainingItem(298) < 1)
{
world.triggerBlock(-162,67,35);
sound.playSoundUI("sound.dialogues");
chat.print("<Mysterious girl> I know how to enter the tree...");
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("But you should protect your head before you do.");
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("I saw teenagers go all the way to the beach with a helmet...");
time.sleep(3);
}

if (pinv.getSlotContainingItem(298) != -1 && etat_fillemysterieuse1 < 1)
{
world.triggerBlock(-165,67,35);
sound.playSoundUI("sound.dialogues");
chat.print("<Mysterious girl> Ah you got a helmet !");
time.sleep(1.65);
sound.playSoundUI("sound.dialogues");
chat.print("You are very ugly with that, but that should do it.");
time.sleep(3.40);
sound.playSoundUI("sound.dialogues");
chat.print("Here is the key I kept just for you.");
time.sleep(2);
world.triggerBlock(-171,67,34);
sound.playSoundUI("sound.réussite");
etat_fillemysterieuse1 = 2;
}